// Variables
@import '../app/variables';

.votre-projet{
	.choix-offre{
		.row{
			.flex-center{
				padding: 3vw;
				transition: all 0.5s ease;
				.btn{
					margin: 0;
				}
				&:hover{
					background-color: $secondary;
					color: $primary;
					.fa-3x{
						color: $rouge;
					}
				}
			}
		}
	}
	.deroulement{
		.grid{
			display: grid;
			grid-template-columns: repeat(4, 1fr);
			&>div{
				&:nth-of-type(odd){
					background-color: $secondary;
					color: $primary;
				}
				padding: 3vw;
			}
		}
	}
}

.abonnement{
	.offres{
		background-color: $secondary;
		color: $primary;
		.row{
			background-color: $primary;
			color: $secondary;
			&>div{
				transition: all 0.5s ease;
				padding: 3vw;
				h3{
					padding-bottom: 0;
				}
				h4{
					padding-top: 0;
				}
			}
			&>div:hover{
				background-color: $secondary;
				color: $primary;
				.fa-3x{
					color: $rouge;
				}
			}
		}
	}
	.details{
		padding: 0 5vh 5vh 5vh;
		h2{
			padding-bottom: 0;
		}
		h3{
			padding-top: 0;
		}
	}
}

.petit-budget{
	.tarif{
		background-color: $secondary;
		color: $primary;
	}
	.exemple{
		img{
			width: 100%;
		}
	}
}

.questionnaire{
	iframe{
		width: 100%;
		height: 80vh;
	}
}

@media (max-width: 1500px) {
	.votre-projet{
		.deroulement{
			.grid{
				grid-template-columns: repeat(2, 1fr);
				grid-gap: 0;
				&>div{
					&:nth-of-type(4){
						background-color: $secondary;
						color: $primary;
					}
					&:nth-of-type(3){
						color: $secondary;
						background-color: $primary;
					}
				}
			}
		}
	}
}

@media ($sm) {
	.votre-projet{
		.deroulement{
			.grid{
				grid-template-columns: 1fr;
				&>div{
					&:nth-of-type(odd){
						background-color: $secondary;
						color: $primary;
					}
					&:nth-of-type(even){
						color: $secondary;
						background-color: $primary;
					}
				}
			}
		}
	}
}
